std::basic_iostream< _CharT, _Traits >(3)

NAME
std::basic_iostream< _CharT, _Traits > - Template class basic_iostream.

SYNOPSIS

Inherited by std::basic_fstream< _CharT, _Traits >.

  Public Types
typedef basic_istream< _CharT, _Traits > __istream_type
typedef basic_ostream< _CharT, _Traits > __ostream_type
typedef _CharT char_type
typedef _Traits::int_type int_type
typedef _Traits::off_type off_type
typedef _Traits::pos_type pos_type
typedef _Traits traits_type

  Public Member Functions
basic_iostream (basic_streambuf< _CharT, _Traits > *__sb)
Constructor does nothing.
virtual ~basic_iostream ()
Destructor does nothing.

  Protected Member Functions
basic_iostream (basic_iostream &&__rhs)
basic_iostream (const basic_iostream &)=delete
basic_iostream & operator= (basic_iostream &&__rhs)
basic_iostream & operator= (const basic_iostream &)=delete
void swap (basic_iostream &__rhs)

Detailed Description

  template<typename _CharT, typename _Traits>
class std::basic_iostream< _CharT, _Traits >" Template class basic_iostream.

Template Parameters
    _CharT Type of character stream.
    _Traits Traits for character type, defaults to char_traits<_CharT>.

This class multiply inherits from the input and output stream classes simply to provide a single interface.

Definition at line 89 of file iosfwd.

Constructor & Destructor Documentation

  template<typename _CharT , typename _Traits > std::basic_iostream< _CharT, _Traits >::basic_iostream (basic_streambuf< _CharT, _Traits > * __sb) [inline], [explicit]

Constructor does nothing. Both of the parent classes are initialized with the same streambuf pointer passed to this constructor.

Definition at line 849 of file istream.

  template<typename _CharT , typename _Traits > virtual std::basic_iostream< _CharT, _Traits >::~basic_iostream () [inline], [virtual]

Destructor does nothing.

Definition at line 856 of file istream.

Author

Generated automatically by Doxygen for libstdc++ from the source code.